<!DOCTYPE html>
<html>
<head>
	<title>HTML ACTIVITY</title>
</head>
<body>
	<p>
		<em>
			Science and Engineering Ethics (2001) 7, 231-238
		</em>
	</p>
	<hr />

	<h1>
		Software Engineering Code of Ethics and Professional Practice
	</h1>

	<h2>
		IEEE-CS/ACM Joint Task Force on Sofware Engineering Ethics and Professional Practices
	</h2>

	<hr />

	<p>
		<strong>Keywords:</strong>
		 code of ethics, professional responsibility, software engineering.
	</p>

	<h3>PREAMBLE</h3>

	<p>
		The short verion of the code summarizes aspirations at a high level of abstraction. The clauses that are included in the full verion give examples and detailes of how these aspirations chanche the wat we act as software engineering professionals. Withou the aspirations, the details can become legalistic and tedious; without the details, the aspirations can become high-sounding but empty; together, the aspirations and the details form a cohesive code.
	</p>

	<p>
		Software engineers shall commit themselves to making the analysis, specification, design, development, testing, and maintenance of software a benificial and respected profession. In accordance with their commitment to the health, safety, and welfare of the public, software engineers shall adhere to the following eight Principles:
	</p>

	<h3>PRINCIPLES</h3>

	<p>
	<ol>
		<li><em>Public.</em> Software engineers shall act consistenly with th public interest.</li>
	
		<li><em>Client and Employer.</em> Software engineers shall act in a manner that is in the best interest of their client and employer, consistent with the public interest.</li>
	
		<li><em>Product.</em> Software engineers shall ensure that their products and related modifications meet the highest professional standard possible.</li>
	
		<li><em>Judgement.</em> Software engineers shall maintain integrity and independence in their professional judgement.</li>
	
		<li><em>Management.</em> Softwatre engineering managers and leader shall subscribe to and promote an ethical approach to the management of software development and maintenance.</li>
	
		<li><em>Profession.</em> Software engineers shall advance the integrity and reputation of the profession consistent with the public interest.</li>
	
		<li><em>Colleagues.</em> Software engineers shall be fair to and supportive of their colleagues.</li>
	
		<li><em>Self.</em> Software engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the practice of the profession.</li>
	</ol>
	</p>



</body>
</html>